import { SSE_URL } from '../constants';
import { accessSessionKey } from '../utils/request';
import { SSEClient } from '../utils/sse/SSEClient';
import { Local } from '../utils/storage';

/**
 * 连接消息同步服务
 * @returns
 */
const connectMsgSyncService = () => {
	if (!Local.get(accessSessionKey)) return;
	if (!SSE_URL) return;
	// 创建实例
	const sseClient = new SSEClient(
		// `https://widev.cpolar.top/sse/chat/connect_broadcast_chat`,
		// `${MAIN_URL}events`
		SSE_URL
	);
	sseClient.connect({
		websessionid: Local.get(accessSessionKey),
	});
	return sseClient;
};

export const sseClient = connectMsgSyncService();

